SDL_atof(3)

NAME
SDL_atof - Parse a double from a string.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_atof(const char *str);

DESCRIPTION
The result of calling SDL_atof(str) is equivalent to SDL_strtod(str, NULL).

FUNCTION PARAMETERS

str The null-terminated string to read. Must not be NULL.

RETURN VALUE
Returns the parsed double.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_atoi(3), SDL_strtol(3), SDL_strtoul(3), SDL_strtoll(3), SDL_strtoull(3), SDL_strtod(3)